(function() {

    openerp.widgetInstancePosAddPurchases = null;
    openerp.parentInstancePosAddPurchases = {};

    openerp.EiruPosAddPurchases = openerp.Widget.extend({
        template: 'EiruPosAdd.Purchases',
        id: undefined,
        /* init */
        init: function(parent) {
            this._super(parent);
        },
        /* start */
        start: function () {
            var self = this
            this.$el.click(function() {
                self.posAddPurchases();
            });
        },
        posAddPurchases: function() {
            this.do_action({
                name: 'Registrar Compras',
                type: 'ir.actions.act_window',
                res_model: 'purchase.order',
                views: [[false,'form']],
                target: 'current',
                flags: {'form': {'action_buttons': true, 'options': {'model': 'view'}}},
            });
        }
    });

    if (openerp.web && openerp.web.FormView) {
        openerp.web.FormView.include({
            load_record: function(record) {
                this._super.apply(this, arguments);

                if (this.model !== 'pos.session')
                    return;

                openerp.parentInstancePosAddPurchases = this;

                if (openerp.widgetInstancePosAddPurchases) {
                    if (this.$el.find('.button-pos-add-purchases').length !== 0 )
                        return ;
                }

                if (this.$el.find('.button-pos-add-purchases').length !== 0 )
                    return;

                openerp.widgetInstancePosAddPurchases = new openerp.EiruPosAddPurchases(this);
                var element =this.$el.find('.oe_form').find('.eiru-statement-pos');

                openerp.widgetInstancePosAddPurchases.appendTo(element[0]);
            }
        });
    }
})();
